Skip to content

Update Suit Memo

PUT
/v1/suits/memos/{memo_id}
curl --request PUT \
--url https://example.com/v1/suits/memos/example \
--header 'Content-Type: application/json' \
--data '{ "body": "example", "kind": "example", "title": "example", "author": "example", "project_slug": "" }'
memo_id
required
Memo Id
string
x-api-key
Any of:
string
Media typeapplication/json
SuitMemoUpdate
object
body
Any of:
string
kind
Any of:
string
title
Any of:
string
author
Any of:
string
project_slug
Project Slug
string
""

Successful Response

Media typeapplication/json
Response Update Suit Memo V1 Suits Memos Memo Id Put
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}